# pydicom.valuerep.MultiString

pydicom.valuerep.MultiString(val: str, valtype: Callable[[str], _T] | None = None, validation_mode: int = None) → _T | MutableSequence[_T]

  Split a string by delimiters if there are any

  Parameters:

    - val (str) – The string to split up.

    - valtype (type or callable, optional) – Default `str`, but can be e.g. `UID` to overwrite to a specific type.

    - validation_mode (int) – Defines if values are validated and how validation errors are handled.

  Returns:

    The split value as valtype or a `list` of valtype.

  Return type:

    valtype or MultiValue of valtype